namespace Unibas.Aci.Modello {

public class Automobile {

    private string targa;
    private int cilindrata;
    private string modello;
    private string codiceFiscaleProprietario;
    private Proprietario proprietario;

    public string Targa {
        get { return this.targa; }
        set { this.targa = value; }
    }

    public int Cilindrata {
        get { return this.cilindrata; }
        set { this.cilindrata = value; }
    }

    public string Modello {
        get { return this.modello; }
        set { this.modello = value; }
    }

    public string CodiceFiscaleProprietario {
        get { return this.codiceFiscaleProprietario; }
        set { this.codiceFiscaleProprietario = value; }
    }

    public Proprietario Proprietario {
        get { return this.proprietario; }
        set { 
            if (value != null) {
                this.proprietario = value;
                this.codiceFiscaleProprietario = proprietario.CodiceFiscale;
            }
        }
    }
       
}
    
}
